Subject: Re: MenuStyle gets nuked by shortcut keys

From: Nathan Froyd <[email-masked]>
Date: Sun, 27 Dec 1998 20:24:21 -0500 (EST)

> > I have in my .fvwm2rc the following line:
 > > 
 > > SetMenuStyle default LightGoldenrod3 SlateGray4 sienna sienna fixed anim
 > > fvwm (DGradient 32 SlateGray4 gray3)
 > > 
 > > which works OK when I start fvwm2.
 > > 
 > > However, I also have lines of the form:
 > > 
 > > Key e A SCM Exec xemacs
 > > Key a A SCM Exec /opt/applix/applix
 > > 
 > > scattered throughout my .fvwm2rc. Whenever I use one of those shortcut
 > > keys, the menu
 > > background immediately gets changed to SlateGray4 throughout.
 > 
 > Do you have any key binding in your config that could cause this?
 > Perhaps a SetMenuStyle bound to some key/mouse button? Are you
 > sure you properly built 2.1.5 (try make clean first if not).

I'm not sure what you mean by `properly built', but here are my
keybindings for reference:

Key h A 2 Scroll -100 0
Key j A 2 Scroll 0  100
Key k A 2 Scroll 0 -100
Key l A 2 Scroll 100  0

Key h A M2 Scroll -10 0
Key j A M2 Scroll 0  10
Key k A M2 Scroll 0 -10
Key l A M2 Scroll 10  0

Key y A 2 Scroll -100 -100
Key u A 2 Scroll 100  -100
Key b A 2 Scroll -100  100
Key n A 2 Scroll 100  100

Key y A M2 Scroll -10 -10
Key u A M2 Scroll 10  -10
Key b A M2 Scroll -10  10
Key n A M2 Scroll 10  10

Key h A 5 CursorMove -10 0
Key j A 5 CursorMove 0  10
Key k A 5 CursorMove 0 -10
Key l A 5 CursorMove 10  0

Key h A M5 CursorMove -1 0
Key j A M5 CursorMove 0  1
Key k A M5 CursorMove 0 -1
Key l A M5 CursorMove 1  0

Key y A 5 CursorMove -10  -10
Key u A 5 CursorMove 10 -10
Key b A 5 CursorMove -10   10
Key n A 5 CursorMove 10  10

Key y A M5 CursorMove -1  -1
Key u A M5 CursorMove 1 -1
Key b A M5 CursorMove -1   1
Key n A M5 CursorMove 1  1

Key x A SCM Exec rxvt
Key m A SCM Exec xemacs -f vm
Key w A SCM Exec netscape
Key n A SCM Exec xemacs -f gnus
Key r A SCM Exec rxvt -T almighty -n almighty -e su
Key c A SCM Exec chameleon
Key e A SCM Exec xemacs
Key g A SCM Exec gimp
Key v A SCM Exec ee
Key f A SCM Exec wf
Key s A SCM Exec xmaple
Key i A SCM Exec gtkicq -a
Key d A SCM Exec display logo:Untitled
Key b A SCM Exec xbmbrowser
Key a A SCM Exec /opt/applix/applix

Key F1 TFSW M Resize
Key F3 TFSW M RefreshWindow
Key F4 TFSW M Close
Key F7 TFSW M Move
Key F8 TFSW M Stick
Key F9 TFSW M Iconify
Key F10 TFSW M WindowShade
Key Return TFSW C RaiseLower

Key r A C25 Restart

To clarify, I don't know whether the non-Exec keys do anything to the
menus, so it might be a problem relating to forking a process
(although I can't imagine how).
-- 
Nathan -- [email-masked] -- [email-masked] -- CS/MA 2002
Evolution is a million line computer program falling into place by accident.
http://www.geocities.com/SiliconValley/Lakes/6060/  ICQ:18861764  AOL:myrlyn007
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]